yi-core-0.19.4: Yi editor core library

Safe Haskell | None
Language | Haskell2010

Yi.Process

Synopsis

- runProgCommand :: ListLikeProcessIO a c => String -> [String] -> IO (ExitCode, a, a)
- runShellCommand :: ListLikeProcessIO a c => String -> IO (ExitCode, a, a)
- shellFileName :: IO String
- createSubprocess :: FilePath -> [String] -> BufferRef -> IO SubprocessInfo
- readAvailable :: Handle -> IO String
- data SubprocessInfo = SubprocessInfo {
  - procCmd :: FilePath
  - procArgs :: [String]
  - procHandle :: ProcessHandle
  - hIn :: Handle
  - hOut :: Handle
  - hErr :: Handle
  - bufRef :: BufferRef
  - separateStdErr :: Bool
  }
- type SubprocessId = Integer

# Documentation

runProgCommand :: ListLikeProcessIO a c => String -> [String] -> IO (ExitCode, a, a) Source #

runShellCommand :: ListLikeProcessIO a c => String -> IO (ExitCode, a, a) Source #

shellFileName :: IO String Source #

Run a command using the system shell, returning stdout, stderr and exit code

createSubprocess :: FilePath -> [String] -> BufferRef -> IO SubprocessInfo Source #

readAvailable :: Handle -> IO String Source #

data SubprocessInfo Source #

Constructors

SubprocessInfo |

Fields

- procCmd :: FilePath
- procArgs :: [String]
- procHandle :: ProcessHandle
- hIn :: Handle
- hOut :: Handle
- hErr :: Handle
- bufRef :: BufferRef
- separateStdErr :: Bool

type SubprocessId = Integer Source #